# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportItemPresentationInfo

Packages that use IReportItemPresentationInfo
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportItemPresentationInfo in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IReportItemPresentationInfo
Modifier and Type
Method
Description
`IReportItemPresentationInfo`
IReportItemPresentation.`getPresentationConfig()`
Methods in org.eclipse.birt.report.engine.extension with parameters of type IReportItemPresentationInfo
Modifier and Type
Method
Description
`void`
IReportItemPresentation.`init(IReportItemPresentationInfo info)`